Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.viewController
Class CompositeViewControllerExecutor

    java.lang.Object
      org.apache.myfaces.orchestra.viewController.CompositeViewControllerExecutor

All Implemented Interfaces:
  ViewControllerExecutor

    public class CompositeViewControllerExecutor

extends java.lang.Object
implements ViewControllerExecutor

Each executor configured with the constructor will be asked to execute the requested method on the bean. The search will end if the executor returns "true".

As an example, this can be configured to first try an executor that checks whether the bean implements a specific interface, then try one that uses reflection to find magic method-names, then try one that looks for annotations.

Constructor Summary
`CompositeViewControllerExecutor(ViewControllerExecutor[] viewControllerExecutors)`

Method Summary
`boolean` | `invokeInitView(java.lang.String beanName, java.lang.Object bean)`
`boolean` | `invokePreProcess(java.lang.String beanName, java.lang.Object bean)`
`boolean` | `invokePreRenderView(java.lang.String beanName, java.lang.Object bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeViewControllerExecutor

    public CompositeViewControllerExecutor(ViewControllerExecutor[] viewControllerExecutors)

Method Detail

### invokeInitView

    public boolean invokeInitView(java.lang.String beanName,
                                  java.lang.Object bean)

  Specified by:
    `invokeInitView` in interface `ViewControllerExecutor`

### invokePreRenderView

    public boolean invokePreRenderView(java.lang.String beanName,
                                       java.lang.Object bean)

  Specified by:
    `invokePreRenderView` in interface `ViewControllerExecutor`

### invokePreProcess

    public boolean invokePreProcess(java.lang.String beanName,
                                    java.lang.Object bean)

  Specified by:
    `invokePreProcess` in interface `ViewControllerExecutor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.